Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssOpRemoveOnly

All Superinterfaces:
  IEssBaseObject, IEssOperation

public interface IEssOpRemoveOnly
extends IEssOperation

The IEssOpRemoveOnly interface.

Nested Class Summary

Nested classes inherited from class com.essbase.api.dataquery.IEssOperation
`IEssOperation.EEssOperationType`

Method Summary
`void` | `addCell(int startRow, int startColumn)` Adds a cell to operate on.
`void` | `addRange(int startRow, int startColumn, int countRows, int countColumns)` Adds a range to operate on.
`int` | `getCountRanges()` Gets the count of ranges to operate on.
`IEssIterator` | `getRanges()` Gets the list of ranges to operate on.

Methods inherited from interface com.essbase.api.dataquery.IEssOperation
`getOperationType`

Method Detail

### addCell

    public void addCell(int startRow,
                        int startColumn)
                 throws EssException

  Adds a cell to operate on. This method in turn calls addRange by passing 1 to both countRows and countColumns.

  Parameters:
    `startRow` - The start row.
    `startColumn` - The start column.
  Throws:
    `EssException` - if an error occurs.

### addRange

    public void addRange(int startRow,
                         int startColumn,
                         int countRows,
                         int countColumns)
                  throws EssException

  Adds a range to operate on.

  Parameters:
    `startRow` - The start row.
    `startColumn` - The start column.
    `countRows` - The count of rows.
    `countColumns` - The count of columns.
  Throws:
    `EssException` - if an error occurs.

### getCountRanges

    public int getCountRanges()
                       throws EssException

  Gets the count of ranges to operate on.

  Returns:
    The count of ranges.
  Throws:
    `EssException` - if an error occurs.

### getRanges

    public IEssIterator getRanges()
                           throws EssException

  Gets the list of ranges to operate on.

  Returns:
    The list of ranges (each of type IEssGridRange).
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD